package com.cygnusa.hyperm.wrappers;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;
import java.util.List;

public class ScheduleParticipant implements Serializable {

    @SerializedName("userid")
    @Expose
    private String userid;
    @SerializedName("is_attendance")
    @Expose
    private String isAttendance;
    @SerializedName("remarks")
    @Expose
    private String remarks;
    @SerializedName("roleplay_or_demo")
    @Expose
    private String roleplayOrDemo;
    @SerializedName("assignment")
    @Expose
    private String assignment;
    @SerializedName("performance")
    @Expose
    private String performance;
    @SerializedName("certification")
    @Expose
    private String certification;
    @SerializedName("overall")
    @Expose
    private String overall;
    @SerializedName("absence_reason")
    @Expose
    private String absenceReason;
    @SerializedName("manual_attendance_reason")
    @Expose
    private String manualAttendanceReason;
    @SerializedName("qr_code")
    @Expose
    private String qrCode;
    @SerializedName("smpin")
    @Expose
    private String smpin;
    @SerializedName("status")
    @Expose
    private String status;
    @SerializedName("decline_reason")
    @Expose
    private String declineReason;
    @SerializedName("decline_reason_name")
    @Expose
    private String declineReasonName;
    @SerializedName("decline_reason_desc")
    @Expose
    private String declineReasonDesc;
    @SerializedName("name")
    @Expose
    private String name;
    @SerializedName("profile_photo")
    @Expose
    private String profilePhoto;
    @SerializedName("dealer_name")
    @Expose
    private String dealerName;
    @SerializedName("dealer_code")
    @Expose
    private String dealerCode;
    @SerializedName("am_name")
    @Expose
    private String amName;
    @SerializedName("am_email")
    @Expose
    private String amEmail;
    @SerializedName("creatorid")
    @Expose
    private String creatorid;
    @SerializedName("post_test_percentage")
    @Expose
    private String postTestPercentage;
    @SerializedName("pre_test_percentage")
    @Expose
    private String preTestPercentage;
    @SerializedName("post_test")
    @Expose
    private String postTest;
    @SerializedName("pre_test")
    @Expose
    private String preTest;
    //acknowledge_by
    @SerializedName("acknowledge_by")
    @Expose
    private String acknowledge_by;
    @SerializedName("attendance")
    @Expose
    private List<Object> attendance = null;
    private final static long serialVersionUID = 3992938760747408202L;

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid;
    }

    public String getIsAttendance() {
        return isAttendance;
    }

    public void setIsAttendance(String isAttendance) {
        this.isAttendance = isAttendance;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getRoleplayOrDemo() {
        return roleplayOrDemo;
    }

    public void setRoleplayOrDemo(String roleplayOrDemo) {
        this.roleplayOrDemo = roleplayOrDemo;
    }

    public String getAssignment() {
        return assignment;
    }

    public void setAssignment(String assignment) {
        this.assignment = assignment;
    }

    public String getPerformance() {
        return performance;
    }

    public void setPerformance(String performance) {
        this.performance = performance;
    }

    public String getCertification() {
        return certification;
    }

    public void setCertification(String certification) {
        this.certification = certification;
    }

    public String getOverall() {
        return overall;
    }

    public void setOverall(String overall) {
        this.overall = overall;
    }

    public String getAbsenceReason() {
        return absenceReason;
    }

    public void setAbsenceReason(String absenceReason) {
        this.absenceReason = absenceReason;
    }

    public String getManualAttendanceReason() {
        return manualAttendanceReason;
    }

    public void setManualAttendanceReason(String manualAttendanceReason) {
        this.manualAttendanceReason = manualAttendanceReason;
    }

    public String getQrCode() {
        return qrCode;
    }

    public void setQrCode(String qrCode) {
        this.qrCode = qrCode;
    }

    public String getSmpin() {
        return smpin;
    }

    public void setSmpin(String smpin) {
        this.smpin = smpin;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getDeclineReason() {
        return declineReason;
    }

    public void setDeclineReason(String declineReason) {
        this.declineReason = declineReason;
    }

    public String getDeclineReasonName() {
        return declineReasonName == null ? "" : declineReasonName;
    }

    public void setDeclineReasonName(String declineReasonName) {
        this.declineReasonName = declineReasonName;
    }

    public String getDeclineReasonDesc() {
        return declineReasonDesc == null ? "" : declineReasonDesc;
    }

    public void setDeclineReasonDesc(String declineReasonDesc) {
        this.declineReasonDesc = declineReasonDesc;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getProfilePhoto() {
        return profilePhoto;
    }

    public void setProfilePhoto(String profilePhoto) {
        this.profilePhoto = profilePhoto;
    }

    public String getDealerName() {
        return dealerName;
    }

    public void setDealerName(String dealerName) {
        this.dealerName = dealerName;
    }

    public String getDealerCode() {
        return dealerCode;
    }

    public void setDealerCode(String dealerCode) {
        this.dealerCode = dealerCode;
    }

    public String getAmName() {
        return amName;
    }

    public void setAmName(String amName) {
        this.amName = amName;
    }

    public String getAmEmail() {
        return amEmail;
    }

    public void setAmEmail(String amEmail) {
        this.amEmail = amEmail;
    }

    public String getCreatorid() {
        return creatorid;
    }

    public void setCreatorid(String creatorid) {
        this.creatorid = creatorid;
    }

    public List<Object> getAttendance() {
        return attendance;
    }

    public void setAttendance(List<Object> attendance) {
        this.attendance = attendance;
    }


    public String getPostTestPercentage() {
        return postTestPercentage;
    }

    public void setPostTestPercentage(String postTestPercentage) {
        this.postTestPercentage = postTestPercentage;
    }

    public String getPreTestPercentage() {
        return preTestPercentage;
    }

    public void setPreTestPercentage(String preTestPercentage) {
        this.preTestPercentage = preTestPercentage;
    }

    public String getPostTest() {
        return postTest;
    }

    public void setPostTest(String postTest) {
        this.postTest = postTest;
    }

    public String getPreTest() {
        return preTest;
    }

    public void setPreTest(String preTest) {
        this.preTest = preTest;
    }

    public String getAcknowledge_by() {
        return acknowledge_by;
    }

    public void setAcknowledge_by(String acknowledge_by) {
        this.acknowledge_by = acknowledge_by;
    }
}